#include <stdio.h>
#include <string.h>

#include "load.h"
#include "elementi.h"
#include "callbacks.h"



void
file_load (GtkWidget * finestra)
{
  GList *dlist = NULL;
  char stringa[RECORD_LUN], *ptmp;
  int num, q = 0;

  num = load_elementi ();

  for (q = 0; q < num; q++)
  {
    ptmp = get_elemento (q, E_NME);
    //g_print ("Controllo %d, ", strlen (ptmp));
    sprintf (stringa, "%d", q);
    list_item = gtk_list_item_new_with_label (ptmp);

    gtk_object_set_data (GTK_OBJECT (list_item), "Return_Value",
			 g_strdup (stringa));


    dlist = g_list_prepend (dlist, list_item);
    gtk_widget_show (list_item);

  }

  /* Occorre controllare che la 
   * lista non sia rimasta completamente vuota
   */
  if (dlist)
  {
    dlist = g_list_reverse (dlist);

    /* Pulisco la lista esistente e
     * aggiungo la nuova lista creata 
     */

    list = lookup_widget (finestra, "list1");
    gtk_list_clear_items (GTK_LIST (list), 0, MAX_N_ELEMENTI);
    gtk_list_append_items (GTK_LIST (list), dlist);

  }
}

void
c_list_load (void)
{
  int i, num;
  gchar *tmp[2] = { " ", " " };
  GtkWidget *clista;

  clista = lookup_widget (Lista, "clist2");
  gtk_clist_clear (GTK_CLIST (clista));

  num = load_elementi ();

  for (i = 0; i < num; i++)
  {
    gtk_clist_append (GTK_CLIST (clista), tmp);
    gtk_clist_set_text (GTK_CLIST (clista), i, 0, get_elemento (i, E_NME));
    gtk_clist_set_text (GTK_CLIST (clista), i, 1, get_elemento (i, E_CMD));
  }

}
